Debian Bug report logs - #563845
devicekit-disks needs proper LVM support

version graph

Package: udisks; Maintainer for udisks is Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>; Source for udisks is src:udisks.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Tue, 5 Jan 2010 19:51:02 UTC

Severity: normal

Merged with 584713

Fixed in version udisks/1.0.2-2

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=24599

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#563845; Package gnome-disk-utility. (Tue, 05 Jan 2010 19:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
New Bug report received and forwarded. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 05 Jan 2010 19:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnome-disk-utility: lists LVM logical volumes as physical disks
Date: Tue, 5 Jan 2010 19:49:00 +0000
[Message part 1 (text/plain, inline)]
Package: gnome-disk-utility
Version: 2.28.1-2
Severity: normal

When I run gnome-disk-utility, all of my LVM logical volumes are listed
as hard disks.  Although they are block devices, they cannot be usefully
used as hard disks: they cannot be partitioned and SMART cannot be run
on them.

LVM logical volumes should be listed as logical volumes, preferably
under the volume group of which they are a part.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnome-disk-utility depends on:
ii  devicekit-disks         009-2            abstraction for enumerating block 
ii  libatasmart4            0.17-1           ATA S.M.A.R.T. reading and parsing
ii  libatk1.0-0             1.28.0-1         The ATK accessibility toolkit
ii  libc6                   2.10.2-3         Embedded GNU C Library: Shared lib
ii  libcairo2               1.8.8-2          The Cairo 2D vector graphics libra
ii  libdbus-1-3             1.2.16-2         simple interprocess messaging syst
ii  libdbus-glib-1-2        0.82-2           simple interprocess messaging syst
ii  libfontconfig1          2.8.0-2          generic font configuration library
ii  libfreetype6            2.3.11-1         FreeType 2 font engine, shared lib
ii  libgdu-gtk0             2.28.1-2         GTK+ standard dialog library for l
ii  libgdu0                 2.28.1-2         GObject based Disk Utility Library
ii  libglib2.0-0            2.22.3-2         The GLib library of C routines
ii  libgnome-keyring0       2.28.2-1         GNOME keyring services library
ii  libgtk2.0-0             2.18.5-1         The GTK+ graphical user interface 
ii  libnautilus-extension1  2.28.4-1         libraries for nautilus components 
ii  libnotify1 [libnotify1- 0.4.5-1          sends desktop notifications to a n
ii  libpango1.0-0           1.26.2-1         Layout and rendering of internatio
ii  libunique-1.0-0         1.1.6-1          Library for writing single instanc
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

gnome-disk-utility recommends no packages.

gnome-disk-utility suggests no packages.

-- no debconf information

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#563845; Package gnome-disk-utility. (Tue, 05 Jan 2010 23:48:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 05 Jan 2010 23:48:15 GMT) Full text and rfc822 format available.

Message #10 received at 563845@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>, 563845@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#563845: gnome-disk-utility: lists LVM logical volumes as physical disks
Date: Wed, 06 Jan 2010 00:41:04 +0100
[Message part 1 (text/plain, inline)]
reassign 563845 devicekit-disks
retitle 563845 devicekit-disks needs proper LVM support
forwarded 563845 https://bugs.freedesktop.org/show_bug.cgi?id=24599
thanks

brian m. carlson wrote:
> Package: gnome-disk-utility
> Version: 2.28.1-2
> Severity: normal
> 
> When I run gnome-disk-utility, all of my LVM logical volumes are listed
> as hard disks.  Although they are block devices, they cannot be usefully
> used as hard disks: they cannot be partitioned and SMART cannot be run
> on them.
> 
> LVM logical volumes should be listed as logical volumes, preferably
> under the volume group of which they are a part.

Imo this is more of a dk-disks issue, as currently dk-disks has no special lvm
support. You certainly need special gui support for lvm devices, nonetheless I'm
reassigning the bug to dk-disks as this is where the underlying issue has to be
addressed.

Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'gnome-disk-utility' to 'devicekit-disks'. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 05 Jan 2010 23:48:16 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions gnome-disk-utility/2.28.1-2. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 05 Jan 2010 23:48:17 GMT) Full text and rfc822 format available.

Changed Bug title to 'devicekit-disks needs proper LVM support' from 'gnome-disk-utility: lists LVM logical volumes as physical disks' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 05 Jan 2010 23:48:18 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugs.freedesktop.org/show_bug.cgi?id=24599'. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 05 Jan 2010 23:48:19 GMT) Full text and rfc822 format available.

Bug reassigned from package 'devicekit-disks' to 'udisks'. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sun, 07 Mar 2010 21:51:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#563845; Package udisks. (Thu, 01 Jul 2010 20:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jędrek Potoniec <smaug@grota.be>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 01 Jul 2010 20:57:03 GMT) Full text and rfc822 format available.

Message #25 received at 563845@bugs.debian.org (full text, mbox):

From: Jędrek Potoniec <smaug@grota.be>
To: 563845@bugs.debian.org
Subject: udisks reports LVM volumes filesystems improperly
Date: Thu, 01 Jul 2010 22:48:55 +0200
Hello,
udisks in testing doesn't report LVM volumes properly, they're found as
raw harddisks without filesystem. http://bugs.gentoo.org/313047 suggests
short-term resolution "udevadm trigger", which sends "change" event.
Apparently commenting out line 64 in /lib/udev/rules.d/80-udisks.rules:
KERNEL=="dm-*", ACTION!="change", GOTO="udisks_end"
resolves this issue (all volumes are reported as encrypted or with
proper file system) for me - they don't wait for "change" event now.
Unfortunately, I'm afraid it may be wrong way, because that line has a
comment:
# we only care about change events on device-mapper
# devices - never touch the device on add events
and I suppose it's there on purpose.
Is there any better way to resolve this issue?
-- 
Jędrzej 'smaug' Potoniec




Forcibly Merged 563845 584713. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sun, 05 Dec 2010 22:03:05 GMT) Full text and rfc822 format available.

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Sun, 05 Dec 2010 23:06:05 GMT) Full text and rfc822 format available.

Notification sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
Bug acknowledged by developer. (Sun, 05 Dec 2010 23:06:05 GMT) Full text and rfc822 format available.

Message #32 received at 563845-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 563845-close@bugs.debian.org
Subject: Bug#563845: fixed in udisks 1.0.2-2
Date: Sun, 05 Dec 2010 23:03:19 +0000
Source: udisks
Source-Version: 1.0.2-2

We believe that the bug you reported is fixed in the latest version of
udisks, which is due to be installed in the Debian FTP archive:

udisks-doc_1.0.2-2_all.deb
  to main/u/udisks/udisks-doc_1.0.2-2_all.deb
udisks_1.0.2-2.debian.tar.gz
  to main/u/udisks/udisks_1.0.2-2.debian.tar.gz
udisks_1.0.2-2.dsc
  to main/u/udisks/udisks_1.0.2-2.dsc
udisks_1.0.2-2_i386.deb
  to main/u/udisks/udisks_1.0.2-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 563845@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated udisks package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 05 Dec 2010 23:08:04 +0100
Source: udisks
Binary: udisks udisks-doc
Architecture: source i386 all
Version: 1.0.2-2
Distribution: experimental
Urgency: low
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 udisks     - abstraction for enumerating block devices
 udisks-doc - abstraction for enumerating block devices - documentation
Closes: 563845
Changes: 
 udisks (1.0.2-2) experimental; urgency=low
 .
   * Enable LVM2 support. (Closes: #563845)
     - Add Build-Depends on liblvm2-dev (>= 2.02.64) for liblvm2app.
     - Update debian/patches/11-remove-unused-probers.patch to run
       udisks-lvm-pv-export udev prober for LVM2 physical volumes.
Checksums-Sha1: 
 1dfbde8c6b8cd9cb24023a6ce1f88d628915b9c2 2356 udisks_1.0.2-2.dsc
 634b29b74adf51a2a0cb68953ec03ce5107d3c09 17598 udisks_1.0.2-2.debian.tar.gz
 d8de395e0cd76345473cba91398a97961b01218e 243484 udisks_1.0.2-2_i386.deb
 adbf96ba61a8c1fd8cc03007f8835729d1d19c5b 71170 udisks-doc_1.0.2-2_all.deb
Checksums-Sha256: 
 1dd5f40d881a7cc0b0388d286d3e742c78988b545e55a0835c6bf4325c7cff8d 2356 udisks_1.0.2-2.dsc
 1551ed1a4fbd996f7ced887b210fb8b57056562cf111f510e535ac6cc459bbf6 17598 udisks_1.0.2-2.debian.tar.gz
 0108f8e21a0ca9f4d4247abd2e268934290f3cdbca7a4653d5fe31c1d611f7e8 243484 udisks_1.0.2-2_i386.deb
 6f36df28f2fd6e34d709490213a3328d8feaf01fb227c776eea139e901aad6f8 71170 udisks-doc_1.0.2-2_all.deb
Files: 
 7b86c83c0d39cc047bec9994930ae544 2356 admin optional udisks_1.0.2-2.dsc
 febd8d63fe3be311e17ee79e97ac7a09 17598 admin optional udisks_1.0.2-2.debian.tar.gz
 d4e7af598e91a48c65f222a7e89a3f72 243484 admin optional udisks_1.0.2-2_i386.deb
 10fe942a0c19ab0d047c5a8442ebdbb9 71170 doc optional udisks-doc_1.0.2-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJM/BiZAAoJEGrh3w1gjyLcpl4P/jYglM1gVTV2dXJ/HvD18sZA
xjjCPevNl2NXxSuFpD+48RWu4doaF28OCILiGTuRp4QwHHsRNY/b0koJCDzGXax6
x0KMoUbgJKDTr/3szsrC17QIxTxs87QS42p1gpKDTd6jwJ0mZgYj1iNWVkxO/Tk0
PfsSs1sBPsmFFydg0RPYwtzKSQci8OHg7wxSAHOXqYSmtCvYyOQuHFthe6DFwMhi
En1cJR65+vSSm/piwbZ4AwWATXRLGd8ZiklZZjDr4fxo8e3D/PDqCilyqaf61Isk
5kKNlyMQ9RXggIkVW237+aEmKuvQxfbHWQ053CbGcukdtKQhMV8iTXBVpEuB3mYz
2BaHtr1xAkMme/Nrpw8s1vWax3xAnJMQCktR7oGlAJnT5YLQF/JqgEF8LXm0m5zE
PT4qkjDx3ddHAXYAGKf1bfeFowbV7OUuXt5vfiUYqoJU3yEqotnSk+Gaz7kZwYse
HGpJPwI06EyPOZROhHLirCwEqn/1yM5FMsL9IGI1eHlPZYdFs45OfHRnDxlqKFnu
KY4F0Zoiof0gLenuYh81DBjv3rFVZEE+qcV6QGfGgSkPmQkFpqshJlyO4K/LE7w4
HEAnL0czoz2IPB2kD3+S4FQ8Hj7LqVq6SgdnnDCPPf1ph+/pjBPwU2c/kUfCXrwL
ZMrpG/KI9wMIeYg2XUpT
=YLG9
-----END PGP SIGNATURE-----





Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Sun, 05 Dec 2010 23:06:06 GMT) Full text and rfc822 format available.

Notification sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Bug acknowledged by developer. (Sun, 05 Dec 2010 23:06:06 GMT) Full text and rfc822 format available.

Changed Bug submitter to '"brian m. carlson" <sandals@crustytoothpaste.net>' from '"brian m. carlson" <sandals@crustytoothpaste.ath.cx>' Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 03 Feb 2011 20:51:58 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 05 Apr 2011 07:29:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:32:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.